#pragma once
#include <Engine/Level/Scene.h>

class LoadingScreen final : public Scene {
protected:
    float elapsed = 0.0f;
    float angle = 0.0f;
    Texture* RedactedSoftware = nullptr;
public:
    explicit LoadingScreen(const std::string& name) : Scene(name) {}

    void Init() final;
    void Update() final;
    void Render() final;
    ~LoadingScreen() final;
};
